"use strict";
require("reflect-metadata");
var NamingStrategyMetadata_1 = require("../metadata/NamingStrategyMetadata");
var typeorm_1 = require("../typeorm");
/**
 * Decorator registers a new naming strategy to be used in naming things.
 */
function NamingStrategy(name) {
    return function (target) {
        var strategyName = name ? name : target.name;
        typeorm_1.defaultMetadataStorage().namingStrategyMetadatas.add(new NamingStrategyMetadata_1.NamingStrategyMetadata(target, strategyName));
    };
}
exports.NamingStrategy = NamingStrategy;
//# sourceMappingURL=NamingStrategy.js.map