"use strict";
var typeorm_1 = require("../../typeorm");
var EventListenerTypes_1 = require("../../metadata/types/EventListenerTypes");
var EntityListenerMetadata_1 = require("../../metadata/EntityListenerMetadata");
/**
 * Calls a method on which this decorator is applied after this entity insertion.
 */
function AfterInsert() {
    return function (object, propertyName) {
        typeorm_1.defaultMetadataStorage().entityListenerMetadatas.add(new EntityListenerMetadata_1.EntityListenerMetadata(object.constructor, propertyName, EventListenerTypes_1.EventListenerTypes.AFTER_INSERT));
    };
}
exports.AfterInsert = AfterInsert;
//# sourceMappingURL=AfterInsert.js.map